import { getEnvVars } from "../initializer"

import axios from "axios";


/* export const baseServerURL =
  getEnvVars().SAME_CLIENT_IP === "true"
    ? `${window.location.origin}/${getEnvVars().SERVER_PATH}`
    : `${getEnvVars().BASE_URL}`; */

export function getBaseServerURL() {
    return  getEnvVars().SAME_CLIENT_IP === "true"
    ? `${window.location.origin}/${getEnvVars().SERVER_PATH}`
    : `${getEnvVars().BASE_URL}`;;
}

export function getServerCMsURL() {return `${getBaseServerURL()}${getEnvVars().CMS_URL}`};

const instance = axios.create({ baseURL: getServerCMsURL() });

instance.interceptors.request.use((request) => {
  return request;
});

instance.interceptors.response.use(
  (response) => {
    return response;
  },
  (error) => {
    return Promise.reject(error);
  },
);

instance.defaults.headers.common["Content-Type"] = "application/json";
instance.defaults.headers.common.Accept = "application/json";
instance.defaults.headers.common["Accept-Language"] = "en";
instance.defaults.withCredentials = true;

export default instance;
